## org.apache.tools.ant.input
Class InputRequest

    java.lang.Object
      org.apache.tools.ant.input.InputRequest

Direct Known Subclasses:
  MultipleChoiceInputRequest

public class InputRequest
extends java.lang.Object

Encapsulates an input request.

Since:
  Ant 1.5
Version:
  $Revision: 1.1.2.1 $
Author:
  Stefan Bodewig

Constructor Summary
`InputRequest(java.lang.String prompt)`

Method Summary
`java.lang.String` `getInput()` Retrieves the user input.
`java.lang.String` `getPrompt()` Retrieves the prompt text.
`boolean` `isInputValid()` Is the user input valid?
`void` `setInput(java.lang.String input)` Sets the user provided input.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### InputRequest

    public InputRequest(java.lang.String prompt)

Parameters:
  `prompt` - The prompt to show to the user. Must not be null.

Method Detail

### getPrompt

    public java.lang.String getPrompt()

  Retrieves the prompt text.

### setInput

    public void setInput(java.lang.String input)

  Sets the user provided input.

### isInputValid

    public boolean isInputValid()

  Is the user input valid?

### getInput

    public java.lang.String getInput()

  Retrieves the user input.

Copyright © 2000-2003 Apache Software Foundation. All Rights Reserved.